Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-wordpress-xmlrpc
Name:           python-module-wordpress-xmlrpc
Version:        1.5
Release:        alt1_4
Summary:        WordPress XML-RPC API Integration Library

License:        BSD
URL:            https://github.com/maxcutler/python-wordpress-xmlrpc/
Source0:        http://pypi.python.org/packages/source/p/python-wordpress-xmlrpc/python-wordpress-xmlrpc-1.5.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
Source44: import.info

%description
Python library to interface with a WordPress blog's XML-RPC API.

An implementation of the standard WordPress API methods is provided, but the 
library is designed for easy integration with custom XML-RPC API methods 
provided by plugins.

A set of classes are provided that wrap the standard WordPress data types 
(e.g., Blog, Post, User). The provided method implementations return these 
objects when possible.



%prep
%setup -n %{oldname}-%{version} -q

# fix wrong-file-end-of-line-encoding issues in license readme.rst wp-config..
for i in LICENSE README.rst wp-config-sample.cfg ; do
     sed -i 's/\r//' $i ;
done


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

 
%files
%doc LICENSE README.rst wp-config-sample.cfg
%{python_sitelibdir_noarch}/*


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_4
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_3
- initial fc import

